org.apache.calcite.avatica.util

## Class AbstractCursor.DateFromNumberAccessor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl
  - - org.apache.calcite.avatica.util.AbstractCursor.BigNumberAccessor
    - - org.apache.calcite.avatica.util.AbstractCursor.NumberAccessor
      - - org.apache.calcite.avatica.util.AbstractCursor.DateFromNumberAccessor

All Implemented Interfaces:
  Cursor.Accessor

Enclosing class:
  AbstractCursor

    private static class AbstractCursor.DateFromNumberAccessor
    extends AbstractCursor.NumberAccessor

Accessor that assumes that the underlying value is a DATE, in its default representation `int`; corresponds to `Types.DATE`.

### Field Summary

Fields
`private Calendar` `localCalendar`

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getter`

### Constructor Summary

Constructors
`private` `DateFromNumberAccessor(AbstractCursor.Getter getter, Calendar localCalendar)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Date` `getDate(Calendar calendar)`
`Object` `getObject()`
`String` `getString()`
`Timestamp` `getTimestamp(Calendar calendar)`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.NumberAccessor

`getBigDecimal, getBigDecimal, getNumber`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.BigNumberAccessor

`getBoolean, getByte, getDouble, getFloat, getInt, getLong, getShort`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getArray, getAsciiStream, getBinaryStream, getBlob, getBytes, getCharacterStream, getClob, getNCharacterStream, getNClob, getNString, getObject, getObject, getRef, getSQLXML, getStruct, getTime, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### localCalendar

    private final Calendar localCalendar

### Constructor Detail

#### DateFromNumberAccessor

    private DateFromNumberAccessor(AbstractCursor.Getter getter,
                                   Calendar localCalendar)

### Method Detail

#### getObject

    public Object getObject()
                     throws SQLException

Specified by:
  `getObject` in interface `Cursor.Accessor`
Overrides:
  `getObject` in class `AbstractCursor.AccessorImpl`
Throws:
  `SQLException`

#### getDate

    public Date getDate(Calendar calendar)
                 throws SQLException

Specified by:
  `getDate` in interface `Cursor.Accessor`
Overrides:
  `getDate` in class `AbstractCursor.AccessorImpl`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(Calendar calendar)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `Cursor.Accessor`
Overrides:
  `getTimestamp` in class `AbstractCursor.AccessorImpl`
Throws:
  `SQLException`

#### getString

    public String getString()
                     throws SQLException

Specified by:
  `getString` in interface `Cursor.Accessor`
Overrides:
  `getString` in class `AbstractCursor.AccessorImpl`
Throws:
  `SQLException`